## mkvtoolnix 2.7.0

=== src/tools/Makefile ===
all_with_tools:
	+make -C .. TOOLS=1

APPLICATIONS += src/tools/base64tool$(EXEEXT) src/tools/diracparser$(EXEEXT) src/tools/vc1parser$(EXEEXT) src/tools/ebml_validator$(EXEEXT)
ALL_SOURCES  += $(wildcard src/tools/*.cpp)
MANPAGES     +=  doc/base64tool.1

vc1parser_SOURCES = src/tools/vc1parser.cpp
vc1parser_OBJECTS = $(patsubst %.cpp,%.o,$(vc1parser_SOURCES))
vc1parser_DEPENDENCIES = $(DEP_COMMON)
vc1parser_LDADD = -lmtxcommon $(MAGIC_LIBS) -lmatroska -lebml \
		-lz $(COMPRESSION_LIBRARIES) -lexpat $(ICONV_LIBS) \
		$(LIBINTL_LIBS) $(LIBRPCRT) $(BOOST_REGEX_LIB)

diracparser_SOURCES = src/tools/diracparser.cpp
diracparser_OBJECTS = $(patsubst %.cpp,%.o,$(diracparser_SOURCES))
diracparser_DEPENDENCIES = $(DEP_COMMON)
diracparser_LDADD = -lmtxcommon $(MAGIC_LIBS) -lmatroska -lebml \
		-lz $(COMPRESSION_LIBRARIES) -lexpat $(ICONV_LIBS) \
		$(LIBINTL_LIBS) $(LIBRPCRT) $(BOOST_REGEX_LIB)

base64tool_SOURCES = src/tools/base64tool.cpp
base64tool_OBJECTS = $(patsubst %.cpp,%.o,$(base64tool_SOURCES))
base64tool_DEPENDENCIES += $(DEP_COMMON)
base64tool_LDADD = -lmtxcommon $(MAGIC_LIBS) -lexpat $(ICONV_LIBS) \
		$(LIBINTL_LIBS) $(LIBRPCRT) $(BOOST_REGEX_LIB)

ebml_validator_SOURCES = src/tools/ebml_validator.cpp src/tools/element_info.cpp
ebml_validator_OBJECTS = $(patsubst %.cpp,%.o,$(ebml_validator_SOURCES))
ebml_validator_DEPENDENCIES = $(DEP_COMMON)
ebml_validator_LDADD = -lmtxcommon $(MAGIC_LIBS) -lmatroska -lebml \
		-lz $(COMPRESSION_LIBRARIES) -lexpat $(ICONV_LIBS) \
		$(LIBINTL_LIBS) $(LIBRPCRT) $(BOOST_REGEX_LIB)


base64tool: src/tools/base64tool$(EXEEXT)

src/tools/base64tool$(EXEEXT): $(base64tool_OBJECTS) $(base64tool_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(base64tool_OBJECTS) $(base64tool_LDADD)

diracparser: src/tools/diracparser$(EXEEXT)

src/tools/diracparser$(EXEEXT): $(diracparser_OBJECTS) $(diracparser_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(diracparser_OBJECTS) $(diracparser_LDADD)

vc1parser: src/tools/vc1parser$(EXEEXT)

src/tools/vc1parser$(EXEEXT): $(vc1parser_OBJECTS) $(vc1parser_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(vc1parser_OBJECTS) $(vc1parser_LDADD)

ebml_validator: src/tools/ebml_validator$(EXEEXT)

src/tools/ebml_validator$(EXEEXT): $(ebml_validator_OBJECTS) $(ebml_validator_DEPENDENCIES)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(ebml_validator_OBJECTS) $(ebml_validator_LDADD)

## mkvtoolnix 2.9.8

=== src/mmg-qt/Makefile ===
UIC = uic
MOC = moc
LINK = g++ $(LDFLAGS)
CXX = g++
CXXCOMPILE = g++
CXXFLAGS = -I../.. -I../common -I../../avilib-0.6.10 -I../../librmff $(shell pkg-config --cflags QtCore QtGui) -DVERSION=\"2.4.0\"
LDFLAGS = -L../common

ifeq ($(shell gcc -v 2>&1 | awk '/mingw special/ { print "1" }'),1)
CXXFLAGS += -I$(HOME)/prog/video/mingw/include -I$(HOME)/prog/video/mingw/src/uc/libebml -I$(HOME)/prog/video/mingw/src/uc/libmatroska
LDFLAGS += -L$(HOME)/prog/video/mingw/lib -L$(HOME)/prog/video/mingw/src/uc/libebml/make/mingw32 -L$(HOME)/prog/video/mingw/src/uc/libmatroska/make/mingw32
EXEEXT = .exe
else
CXXFLAGS += -I../../../libebml -I../../../libmatroska
LDFLAGS += -L../../../libebml/make/linux -L../../../libmatroska/make/linux
endif

ifeq ($(V),1)
  Q =
else
  Q = @
endif

mmg_qt_UIFILES=$(patsubst %.ui,%.h,$(wildcard forms/*.ui))
mmg_qt_MOCFILES=main_window.moc.cpp capabilities_reader.moc.cpp file_prober.moc.cpp
mmg_qt_SOURCES=mmg_qt.cpp main_window.cpp capabilities_reader.cpp tab_input.cpp \
		file_prober.cpp input_file.cpp
mmg_qt_OBJECTS=$(patsubst %.cpp,%.o,$(mmg_qt_SOURCES)) $(patsubst %.cpp,%.o,$(mmg_qt_MOCFILES))
mmg_qt_LDADD=$(shell pkg-config --libs QtCore QtGui) -lmtxcommon -lmatroska -lebml

ALL_SOURCES=$(mmg_qt_SOURCES)

all: mmg-qt$(EXEEXT)

mmg-qt$(EXEEXT): $(mmg_qt_UIFILES) $(mmg_qt_MOCFILES) $(mmg_qt_OBJECTS)
	@echo '    LINK ' $@
	$(Q)$(LINK) -o $@ $(mmg_qt_OBJECTS) $(mmg_qt_LDADD)

clean:
	rm -f forms/*.h forms/*.moc.cpp forms/*.o *.o *.moc.cpp mmg-qt$(EXEEXT)

depend:
	@echo Calculating dependecies:
	@rm -f .depend
	@touch .depend
	@for i in $(ALL_SOURCES); do \
		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
		echo ' CXX -MM '$$i ; \
		$(CXX) $(CXXFLAGS) $(INCLUDES) $(SYSTEM_INCLUDES) -MM \
		-MT $$o $$i >> .depend ; \
	done

%.o: %.cpp
	@echo '     CXX ' $<
	$(Q)$(CXXCOMPILE) $(CXXFLAGS) -c -o $@ $<

# Qt files
%.h: %.ui
	@echo '     UIC ' $<
	$(Q)$(UIC) $< > $@

%.moc.cpp: %.h
	@echo '     MOC ' $<
	$(Q)$(MOC) $(QT_CFLAGS) $< > $@

ifneq ($(wildcard .depend),)
include .depend
endif

=== src/tools/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 base64tool_SOURCES = src/tools/base64tool.cpp
 base64tool_OBJECTS = $(patsubst %.cpp,%.o,$(base64tool_SOURCES))
 base64tool_DEPENDENCIES += $(DEP_COMMON)
-base64tool_LDADD = -lmtxcommon $(MAGIC_LIBS) -lexpat $(ICONV_LIBS) \
+base64tool_LDADD = -lmtxcommon $(MAGIC_LIBS) -lmatroska -lebml -lexpat $(ICONV_LIBS) \
 		$(LIBINTL_LIBS) $(LIBRPCRT) $(BOOST_REGEX_LIB)
 
 ebml_validator_SOURCES = src/tools/ebml_validator.cpp src/tools/element_info.cpp

## mkvtoolnix 3.0.0

=== src/tools/Makefile ===
--- 
+++ 
@@ -3,7 +3,6 @@
 
 APPLICATIONS += src/tools/base64tool$(EXEEXT) src/tools/diracparser$(EXEEXT) src/tools/vc1parser$(EXEEXT) src/tools/ebml_validator$(EXEEXT)
 ALL_SOURCES  += $(wildcard src/tools/*.cpp)
-MANPAGES     +=  doc/base64tool.1
 
 vc1parser_SOURCES = src/tools/vc1parser.cpp
 vc1parser_OBJECTS = $(patsubst %.cpp,%.o,$(vc1parser_SOURCES))

## mkvtoolnix 4.0.0

=== debian/changelog ===
mkvtoolnix (4.0.0-0ubuntu3) maverick; urgency=low

  * Adjusted install paths.

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 17 Jun 2010 23:48:33 +0700

mkvtoolnix (4.0.0-0ubuntu2) maverick; urgency=low

  * Build-depend on autotools-dev.
  * Bumped libmatroska build-dependency.

 -- Maia Kozheva <sikon@ubuntu.com>  Sat, 12 Jun 2010 14:42:52 +0700

mkvtoolnix (4.0.0-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Switched to 3.0 (quilt) format, for orig.tar.bz2.
  * debian/control:
    - Bumped Standards-Version to 3.8.4.
    - Versioned debhelper build-dependency for overrides.
    - Updated build-depends versions.
    - Build-depend on libboost-filesystem-dev.
  * debian/rules:
    - Rewritten to use dh 7.
    - Moved config.guess and config.sub from clean rule to build, so they don't
      end up in diff.gz.
    - Moved some files to be cleaned to debian/clean.
  * Removed debian/dirs, not needed.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 06 Jun 2010 03:24:18 +0700

mkvtoolnix (3.0.0-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #501106)
  * debian/mkvtoolnix.install: Add mkvpropedit.
  * debian/mkvtoolnix.manpages: Add mkvpropedit manpage.
  * debian/copyright: Update copyright and licences.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 28 Dec 2009 23:10:31 +0100

mkvtoolnix (2.9.8-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #415849).
  * *.manpages : Update location of man pages.
  * debian/patches:
   - 40-gcc-4.3.patch: Drop, the necessary parts are merged upstream.
   - 10-manpage-error.patch: Drop, man pages was rewritten.
  * debian/mkvtoolnix.install: Install locale files.

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 19 Aug 2009 15:40:56 +0200

mkvtoolnix (2.9.7-0ubuntu1) karmic; urgency=low

  * New upstream release. (LP: #395839)
  * debian/patches
   - 10-manpage-error.patch: Update.
   - 40-gcc-4.3.patch: Update.
  * debian/control: added libboost-math-dev to Build-Depends.

 -- Julien Lavergne <julien.lavergne@gmail.com>  Sun, 05 Jul 2009 20:11:49 +0200

mkvtoolnix (2.7.0-0.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Josh Triplett ]
  * New upstream version (Closes: #503261)
    * Handles newer revisions of Theora. (Closes: #458024)
    * Requires libboost-dev and libboost-regex-dev; add them to Build-Depends.
    * Incorporates patches/20-honor-strip and patches/30-mplayer-options;
      patches removed.
    * Incorporates part of patches/40-gcc-4.3.patch; patch updated.
    * Remove base64tool, removed upstream.

  [ Julien Lavergne ]
  * Rebuild for API changes
   - (Closes: #426656, #437144, #471049, #476879, #481851, #483440)
  * debian/control
   - Conform to Standards 3.8.1.
   - Replace libwxgtk2.6-dev Build Depends by libwxgtk2.8-dev.
  * debian/README.source
   - Add to conform to Standards 3.8.1.
  * mkvtoolnix.links
   - Link to quilt README.source to conform 3.8.0 Standards.
  * debian/copyright
   - Convert to UTF-8.
   - Add the version of the GPL.
   - Add Copyright notice.
  * debian/mkvtoolnix-gui.menu
   - Switch from Apps to Applications.
  * debian/rules
   - Don't ignore errors in clean rule.
  * debian/patches:
   - Add descriptions.
   - 10-manpage-error.patch: Update.
  * debian/watch:
   - Update to version 3.

  [ Benjamin Drung ]
  * debian/mkvtoolnix-gui.desktop:
    - Remove deprecated value "Application" from Categories.
    - Remove deprecated Encoding key.
    - Remove extension from icon file name.
  * debian/control: Break and sort Build-Depends entry.
  * Switch to debhelper from deprecated version 4 to 7 to make lintian happy:
    - debian/control: Bump Build-Depends version of debhelper to 7.
    - debian/compat: Bump to 7.
    - debian/rules:
      - Replace dh_clean -k by dh_prep.
      - *-stamp files are now removed by dh_clean.
  * Add .patch suffix to patch files.
  * debian/rules: Remove automatically generated hidden directories and
    Makefiles.

 -- Benjamin Drung <benjamin.drung@gmail.com>  Sun, 19 Apr 2009 14:42:00 +0200

mkvtoolnix (2.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add '40-gcc-4.3' patch to fix GCC 4.3 FTBFS (Closes: #474818)
  * debian/control:
    - Bump Standards-Version to 3.7.3.
    - Use Homepage: field for upstream URL.
    - Relax Recommends: mkvtoolnix-gui to Suggests: (Closes: #452786)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 01:19:08 +0100

mkvtoolnix (2.0.2-1) unstable; urgency=low

  * New upstream bugfix version
  * Use liblzo2, thanks to Peter Eisentraut (Closes:#423361)

 -- Clément Stenac <zorglub@debian.org>  Tue, 17 May 2007 11:18:27 +0200

mkvtoolnix (2.0.0-1) experimental; urgency=low

  * New upstream version (Closes:#408744)
    - Remove 30-fix-segfault patch, fixed upstream
  * Fix a deprecated option in README (Closes:#401500)

 -- Clément Stenac <zorglub@debian.org>  Sun, 28 Jan 2007 11:18:27 +0200

mkvtoolnix (1.8.0-1) unstable; urgency=low
 
  * New upstream version
     - Tighten WX dependency
     - Add libpcre dependency
     - Add patch by upstream to fix attachement segfault (Closes:#393984)
  * Add patch to honor nostrip option, thanks to Robert Millan
    (Closes:#393961)

 -- Clément Stenac <zorglub@debian.org>  Sun, 12 Oct 2006 08:18:27 +0200

mkvtoolnix (1.7.0-2) unstable; urgency=high

  * Fix WAV handling crash (Closes:#370144)
  * Switch to Quilt for patch management

 -- Clément Stenac <zorglub@debian.org>  Thu, 17 Aug 2006 08:18:27 +0200

mkvtoolnix (1.7.0-1) unstable; urgency=low

  * New upstream release
     - Integrate patch for libmagic, thanks to Robert Millan (Closes:#359875)

 -- Clément Stenac <zorglub@debian.org>  Sat, 29 Apr 2006 12:28:27 +0200

mkvtoolnix (1.6.5-5) unstable; urgency=low

  * Rebuild against libebml 0.7.7 to fix corruption on amd64 (Closes:#360522)

 -- Clément Stenac <zorglub@debian.org>  Tue,  4 Apr 2006 21:40:36 +0200

mkvtoolnix (1.6.5-4) unstable; urgency=low

  * Use mmg's icon. Thanks to Guillaume Desmottes for the patch


=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Clément Stenac <zorglub@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               libboost-dev,
               libboost-regex-dev,
               libbz2-dev,
               libebml-dev (>= 1.0.0),
               libexpat1-dev,
               libflac-dev,
               libmagic-dev,
               libmatroska-dev (>= 1.0.0),
               libogg-dev,
               libpcre3-dev,
               libvorbis-dev,
               libwxgtk2.8-dev,
               liblzo2-dev,
               zlib1g-dev,
               libboost-filesystem-dev,
               libboost-math-dev
Standards-Version: 3.8.4
Homepage: http://www.bunkus.org/videotools/mkvtoolnix/

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow to manipulate Matroska files.
  - mkvmerge is a tool to create Matroska files from other formats
  - mkvinfo allows to get information about the tracks in a Matroska file
  - mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix, ${shlibs:Depends}, ${misc:Depends}
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, 
 which allows to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, 
 which allows to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- --enable-gui
	$(MAKE)
	mv src/mkvinfo src/mkvinfo-gui
	mv src/mmg/mmg src/mmg/mmg-gui
	
	$(MAKE) distclean
	
	dh_auto_configure --  --disable-gui
	$(MAKE)

override_dh_clean:
	dh_clean
	rm -rf .deps .pc
	find -name Makefile -delete

override_dh_install:
	dh_install -a
	mv debian/mkvtoolnix/usr/bin/mkvinfo debian/mkvtoolnix/usr/bin/mkvinfo-text
	mv debian/mkvtoolnix-gui/usr/bin/mmg-gui debian/mkvtoolnix-gui/usr/bin/mmg

override_dh_link:
	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz

## mkvtoolnix 4.5.0+dfsg

=== debian/changelog ===
mkvtoolnix (4.5.0+dfsg-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #722372)
   - Remove copies of libeml and libmatroska.
  * debian/control:
   - Bump build-depends on libebml-dev (>= 1.2.0) (LP: #722383)
   - Bump build-depends on libmatroska-dev (>= 1.1.0) (LP: #722396)
   - Build-depends on rake for the new build system.
   - Build-depends on libcurl4-gnutls-dev | libcurl4-openssl-dev, to avoid
     crash on building.
  * debian/*.install:
   - Update installed translations.
   - Install icons, guide, mime type and desktop files from upstream.
  * debian/rules:
   - From upstream, use RAKE instead of MAKE.
  * debian/patches/rename-text-exec-desktop.patch:
   - Rename the executable for the text binary, to follow packaging.
  * debian/README.Debian:
   - Add to explain the repack of the tarball.

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 22 Feb 2011 23:41:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
                libboost-dev,
                libboost-regex-dev,
                libbz2-dev,
-               libebml-dev (>= 1.0.0),
+               libebml-dev (>= 1.2.0),
                libexpat1-dev,
                libflac-dev,
                libmagic-dev,
-               libmatroska-dev (>= 1.0.0),
+               libmatroska-dev (>= 1.1.0),
                libogg-dev,
                libpcre3-dev,
                libvorbis-dev,
@@ -20,7 +20,9 @@
                liblzo2-dev,
                zlib1g-dev,
                libboost-filesystem-dev,
-               libboost-math-dev
+               libboost-math-dev,
+               libcurl4-gnutls-dev | libcurl4-openssl-dev,
+               rake
 Standards-Version: 3.8.4
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+RAKE=./drake
 
 %:
 	dh $@
@@ -13,22 +15,24 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 	dh_auto_configure -- --enable-gui
-	$(MAKE)
+	$(RAKE) apps:mkvinfo apps:mmg
 	mv src/mkvinfo src/mkvinfo-gui
 	mv src/mmg/mmg src/mmg/mmg-gui
 	
-	$(MAKE) distclean
+	$(RAKE) clean:dist
 	
 	dh_auto_configure --  --disable-gui
-	$(MAKE)
+	$(RAKE)
 
 override_dh_clean:
+	-$(RAKE) clean
 	dh_clean
 	rm -rf .deps .pc
 	find -name Makefile -delete
 
 override_dh_install:
-	dh_install -a
+	$(RAKE) install prefix=$(CURDIR)/debian/tmp/usr
+	dh_install
 	mv debian/mkvtoolnix/usr/bin/mkvinfo debian/mkvtoolnix/usr/bin/mkvinfo-text
 	mv debian/mkvtoolnix-gui/usr/bin/mmg-gui debian/mkvtoolnix-gui/usr/bin/mmg

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=3
http://www.bunkus.org/videotools/mkvtoolnix/sources/mkvtoolnix-(.*)\.tar\.bz2

## mkvtoolnix 4.9.1

=== debian/changelog ===
mkvtoolnix (4.9.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/rename-text-exec-desktop.patch: Refresh.

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 17 Jul 2011 22:35:32 +0200

mkvtoolnix (4.8.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #796278)
   - Install examples files LP: #609216
  * Ubuntu remaining changes :
   - Add more details in debian/copyright
   - Add mkvtoolnix-gui.desktop
   - Install icons and mime in mkvtoolnix-gui.install
   - Add mkvtoolnix-gui.manpages
   - debian/patches/rename-text-exec-desktop.patch: Rename excecutable to
     follow packaging.
   - debian/rules: Update /usr/share/misc/config.{sub,guess}

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 13 Jun 2011 20:21:12 +0200

mkvtoolnix (4.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 25 May 2011 00:00:43 +0200

mkvtoolnix (4.7.0-1) unstable; urgency=low

  * New upstream release.
  * Install mkvinfo.desktop in the -gui package.

 -- Christian Marillat <marillat@debian.org>  Fri, 22 Apr 2011 12:03:11 +0200

mkvtoolnix (4.6.0-2) unstable; urgency=low

  * Move mkvmergeGUI.desktop file in the -gui package and don't install
    useless mkvinfo.desktop (Closes: #618889).

 -- Christian Marillat <marillat@debian.org>  Sat, 19 Mar 2011 13:01:23 +0100

mkvtoolnix (4.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 11 Mar 2011 08:45:33 +0100

mkvtoolnix (4.5.0-2) unstable; urgency=low

  * Remove ccache support (Closes: #617332).

 -- Christian Marillat <marillat@debian.org>  Tue, 08 Mar 2011 14:52:00 +0100

mkvtoolnix (4.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #575728)
  * Change section to video (was graphics).

 -- Christian Marillat <marillat@debian.org>  Sun, 06 Mar 2011 20:57:13 +0100

mkvtoolnix (2.7.0-1) unstable; urgency=low

  * New maintainer (Closes: #582237)
  * I'm waiting for a more recent libebml-dev (libebml maintainer don't want
    to package the latest version for Squeeze...) package to upload 4.X
    version.
  * Update 10_manpage-error patch to fix typo in mkvmerge manpage
    (Closes: #574688)
  * Add examples files (Closes: #566630)

 -- Christian Marillat <marillat@debian.org>  Fri, 02 Jul 2010 16:28:14 +0200

mkvtoolnix (2.7.0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with new boost by adding libboost-math-dev to the
    Build-Depends (Closes: #530471).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 14:15:50 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libboost-math-dev,
 libboost-regex-dev, libbz2-dev, libebml-dev (>= 1.2.0), libexpat1-dev,
 libflac-dev, libmagic-dev, libmatroska-dev (>= 1.1.0), libogg-dev,
 libpcre3-dev, libvorbis-dev, libwxgtk2.8-dev, liblzo2-dev,
 zlib1g-dev, ruby, libboost-filesystem-dev, libcurl4-gnutls-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allows one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix, ${shlibs:Depends}, ${misc:Depends}
Replaces: mkvtoolnix (<= 4.6.0-1)
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible 
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allows one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allows to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifeq ($(NCPUS),-1)
	NCPUS:=1
endif

ifeq ($(NCPUS),0)
	NCPUS:=1 
endif

%:
	dh $@

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- --enable-gui

	./drake -j $(NCPUS)

	mv src/mkvinfo src/mkvinfo-gui
	mv src/mmg/mmg src/mmg/mmg-gui

	./drake clean

	dh_auto_configure -- --disable-gui

	./drake -j $(NCPUS)

override_dh_clean:
	dh_clean src/mkvinfo-gui src/mmg/mmg-gui config.status config.log
	[ ! -f build-config ] || ./drake clean

override_dh_auto_build:


override_dh_install:
	./drake install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --fail-missing

	mv debian/mkvtoolnix/usr/bin/mkvinfo debian/mkvtoolnix/usr/bin/mkvinfo-text
	mv debian/mkvtoolnix-gui/usr/bin/mmg-gui debian/mkvtoolnix-gui/usr/bin/mmg

	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

## mkvtoolnix 5.1.0

=== debian/changelog ===
mkvtoolnix (5.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 29 Nov 2011 13:51:07 +0100

mkvtoolnix (5.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 10 Oct 2011 07:25:21 +0200

mkvtoolnix (5.0.0-2) unstable; urgency=low

  * Build against external libebml and libmatroska.

 -- Christian Marillat <marillat@debian.org>  Sat, 08 Oct 2011 20:30:13 +0200

mkvtoolnix (5.0.0-1) unstable; urgency=low

  * New upstream release.
  * Linked with included libebml and libmatroska as the required minimal
    version 1.2.2 for ebml and 1.3.0 for matroscka are not yet available in
    Debian.
  * Stop to patch configure and let this script find the right libebml and
    libmatroska (included or external) and thus return right values in
    "Muxing application:" segment information (Closes: #641045).

 -- Christian Marillat <marillat@debian.org>  Fri, 30 Sep 2011 18:38:03 +0200

mkvtoolnix (4.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 12 Jul 2011 08:58:26 +0200

mkvtoolnix (4.9.0-1) unstable; urgency=low

  * Dedicated to my friend Zef.
  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 11 Jul 2011 08:53:17 +0200

mkvtoolnix (4.8.0-2) unstable; urgency=low

  * Link against external ebml and matroska libraries.

 -- Christian Marillat <marillat@debian.org>  Wed, 06 Jul 2011 18:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libboost-math-dev,
- libboost-regex-dev, libbz2-dev, libebml-dev (>= 1.2.0), libexpat1-dev,
- libflac-dev, libmagic-dev, libmatroska-dev (>= 1.1.0), libogg-dev,
+ libboost-regex-dev, libbz2-dev, libebml-dev (>= 1.2.2), libexpat1-dev,
+ libflac-dev, libmagic-dev, libmatroska-dev (>= 1.3.0), libogg-dev,
  libpcre3-dev, libvorbis-dev, libwxgtk2.8-dev, liblzo2-dev,
  zlib1g-dev, ruby, libboost-filesystem-dev, libcurl4-gnutls-dev
 
@@ -38,4 +37,4 @@
  allows one to create Matroska files from other formats.
  .
  This package also contains a graphical version of the mkvinfo tool, which
- allows to get information about a Matroska file.
+ allows one to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifeq ($(NCPUS),-1)
	NCPUS:=1
endif

ifeq ($(NCPUS),0)
	NCPUS:=1 
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--enable-gui

#	exit 1

	./drake -j $(NCPUS)

	mv src/mkvinfo src/mkvinfo-gui
	mv src/mmg/mmg src/mmg/mmg-gui

	./drake clean:dist

	dh_auto_configure -- \
	--disable-gui

	./drake -j $(NCPUS) default 'translations:guides'

override_dh_clean:
	[ ! -f build-config ] || ./drake clean:dist

	dh_clean src/mkvinfo-gui src/mmg/mmg-gui config.status config.log \
	rake.d/dependecy.d/*.rb src/input/*.d config.h build-config

override_dh_install:
	./drake install 'install:translations:guides' DESTDIR=$(CURDIR)/debian/tmp docdir='$${datarootdir}/doc/mkvtoolnix-gui'
	dh_install --fail-missing

	mv debian/mkvtoolnix/usr/bin/mkvinfo debian/mkvtoolnix/usr/bin/mkvinfo-text
	mv debian/mkvtoolnix-gui/usr/bin/mmg-gui debian/mkvtoolnix-gui/usr/bin/mmg

	dh_link -pmkvtoolnix usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-text.1.gz
	dh_link -pmkvtoolnix-gui usr/share/man/man1/mkvinfo.1.gz usr/share/man/man1/mkvinfo-gui.1.gz

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

override_dh_auto_build:

## mkvtoolnix 5.2.0

=== debian/changelog ===
mkvtoolnix (5.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Dec 2011 08:43:32 +0100

## mkvtoolnix 5.2.1

=== debian/changelog ===
mkvtoolnix (5.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Jan 2012 09:05:31 +0100

## mkvtoolnix 5.4.0

=== debian/changelog ===
mkvtoolnix (5.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Mar 2012 07:37:12 +0100

mkvtoolnix (5.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 10 Feb 2012 08:27:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~), libboost-dev, libboost-math-dev,
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libboost-dev, libboost-math-dev,
  libboost-regex-dev, libbz2-dev, libebml-dev (>= 1.2.2), libexpat1-dev,
  libflac-dev, libmagic-dev, libmatroska-dev (>= 1.3.0), libogg-dev,
  libpcre3-dev, libvorbis-dev, libwxgtk2.8-dev, liblzo2-dev,

## mkvtoolnix 5.6.0

=== debian/changelog ===
mkvtoolnix (5.6.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 May 2012 07:07:20 +0200

mkvtoolnix (5.5.0-1) unstable; urgency=low

  * New upstream release.
  * Removed libexpat1-dev and libboost-dev from Build-Depends (Not needed).

 -- Christian Marillat <marillat@debian.org>  Sat, 07 Apr 2012 17:05:33 +0200

mkvtoolnix (5.4.0-2) unstable; urgency=low

  * Don't build with -j. Try to fix the kfreebsd build.

 -- Christian Marillat <marillat@debian.org>  Wed, 21 Mar 2012 08:27:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,6 @@
 #!/usr/bin/make -f
 
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
-
-NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
-
-ifeq ($(NCPUS),-1)
-	NCPUS:=1
-endif
-
-ifeq ($(NCPUS),0)
-	NCPUS:=1 
-endif
 
 %:
 	dh $@
@@ -21,7 +11,7 @@
 
 #	exit 1
 
-	./drake -j $(NCPUS)
+	./drake
 
 	mv src/mkvinfo src/mkvinfo-gui
 	mv src/mmg/mmg src/mmg/mmg-gui
@@ -31,7 +21,7 @@
 	dh_auto_configure -- \
 	--disable-gui
 
-	./drake -j $(NCPUS) default 'translations:guides'
+	./drake default 'translations:guides'
 
 override_dh_clean:
 	[ ! -f build-config ] || ./drake clean:dist

## mkvtoolnix 5.9.0

=== debian/changelog ===
mkvtoolnix (5.9.0-1ubuntu1) raring; urgency=low

  * Added fix_desktop_files.patch.

 -- Brandon Snider <brandonjsnider@gmail.com>  Tue, 18 Dec 2012 15:46:34 -0500

mkvtoolnix (5.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 10 Dec 2012 09:21:51 +0100

mkvtoolnix (5.8.0-2) unstable; urgency=low

  * Package missing icons (Closes: #694106)

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Nov 2012 15:15:35 +0100

mkvtoolnix (5.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 03 Sep 2012 08:49:30 +0200

mkvtoolnix (5.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 11 Jul 2012 08:30:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
 Standards-Version: 3.9.3
-Build-Depends: debhelper (>= 9), libboost-dev, libboost-math-dev,
- libboost-regex-dev, libbz2-dev, libebml-dev (>= 1.2.2), libexpat1-dev,
- libflac-dev, libmagic-dev, libmatroska-dev (>= 1.3.0), libogg-dev,
- libpcre3-dev, libvorbis-dev, libwxgtk2.8-dev, liblzo2-dev,
- zlib1g-dev, ruby, libboost-filesystem-dev, libcurl4-gnutls-dev
+Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
+ libbz2-dev, libebml-dev (>= 1.2.2), libflac-dev, libmagic-dev,
+ libmatroska-dev (>= 1.3.0), libogg-dev, libpcre3-dev, libvorbis-dev,
+ libwxgtk2.8-dev, liblzo2-dev, zlib1g-dev, ruby, libboost-filesystem-dev,
+ libcurl4-gnutls-dev
 
 Package: mkvtoolnix
 Architecture: any

## mkvtoolnix 6.0.0

=== debian/changelog ===
mkvtoolnix (6.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 21 Jan 2013 09:04:27 +0100

## mkvtoolnix 6.1.0

=== debian/changelog ===
mkvtoolnix (6.1.0-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:42 +0100

mkvtoolnix (6.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 03 Mar 2013 08:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,

## mkvtoolnix 6.2.0

=== debian/changelog ===
mkvtoolnix (6.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 29 Apr 2013 07:44:37 +0200

## mkvtoolnix 6.3.0

=== debian/changelog ===
mkvtoolnix (6.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 29 Jun 2013 08:11:55 +0200

## mkvtoolnix 6.5.0

=== debian/changelog ===
mkvtoolnix (6.5.0-3) unstable; urgency=low

  * New patch 01_fix-730273 from upstream to fix a crash in amd64
    architecture (Closes: #730273).
  * Man page syntax has been fixed by upstream (Closes: #718971).

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Nov 2013 07:59:35 +0100

mkvtoolnix (6.5.0-2) unstable; urgency=low

  * libmatroska-dev 1.4.1 is required in Build-Depends.
  * Build against wxwidgets3.0

 -- Christian Marillat <marillat@debian.org>  Mon, 18 Nov 2013 16:19:56 +0100

mkvtoolnix (6.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 20 Oct 2013 20:34:17 +0200

mkvtoolnix (6.4.1-1) unstable; urgency=low

  * Bug fix upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 17 Sep 2013 13:44:48 +0200

mkvtoolnix (6.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch check for .xz files.

 -- Christian Marillat <marillat@debian.org>  Mon, 16 Sep 2013 19:23:32 +0200

## mkvtoolnix 6.6.0

=== debian/changelog ===
mkvtoolnix (6.6.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_fix-730273 patch included upstream.

 -- Christian Marillat <marillat@debian.org>  Mon, 02 Dec 2013 10:39:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: http://www.bunkus.org/videotools/mkvtoolnix/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), libboost-math-dev, libboost-regex-dev,
- libbz2-dev, libebml-dev (>= 1.2.2), libflac-dev, libmagic-dev,
- libmatroska-dev (>= 1.3.0), libogg-dev, libpcre3-dev, libvorbis-dev,
- libwxgtk2.8-dev, liblzo2-dev, zlib1g-dev, ruby, libboost-filesystem-dev,
- libcurl4-gnutls-dev
+ libbz2-dev, libflac-dev, libmagic-dev, libmatroska-dev (>= 1.4.1),
+ libogg-dev, libpcre3-dev, libvorbis-dev, libwxgtk3.0-dev, ruby,
+ liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
+ libboost-filesystem-dev (>= 1.54.0~)
 
 Package: mkvtoolnix
 Architecture: any
